# CbcOsiSolver Class Reference

This is for codes where solver needs to know about CbcModel Seems to provide only one value-added feature, a CbcModel object. More...

`#include <CbcFathom.hpp>`

Inheritance diagram for CbcOsiSolver:
[legend]
Collaboration diagram for CbcOsiSolver:
[legend]

List of all members.

## Public Member Functions
Constructors and destructors
| CbcOsiSolver ()
| Default Constructor.
virtual OsiSolverInterface * | clone (bool copyData=true) const
| Clone.
| CbcOsiSolver (const CbcOsiSolver &)
| Copy constructor.
CbcOsiSolver & | operator= (const CbcOsiSolver &rhs)
| Assignment operator.
virtual | ~CbcOsiSolver ()
| Destructor.
Sets and Gets
void | setCbcModel (CbcModel *model)
| Set Cbc Model.
CbcModel * | cbcModel () const
| Return Cbc Model.
## Protected Attributes
Private member data
CbcModel * | cbcModel_
| Pointer back to CbcModel.

## Detailed Description

This is for codes where solver needs to know about CbcModel Seems to provide only one value-added feature, a CbcModel object.

Definition at line 90 of file CbcFathom.hpp.

## Constructor & Destructor Documentation

CbcOsiSolver::CbcOsiSolver | ( |  | ) |

Default Constructor.

CbcOsiSolver::CbcOsiSolver | ( | const CbcOsiSolver & |  | ) |

Copy constructor.

virtual CbcOsiSolver::~CbcOsiSolver | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual OsiSolverInterface* CbcOsiSolver::clone | ( | bool | copyData = `true` | ) | const`[virtual]`

Clone.

Reimplemented from OsiClpSolverInterface.

Reimplemented in OsiSolverLink.

CbcOsiSolver& CbcOsiSolver::operator= | ( | const CbcOsiSolver & | rhs | ) |

Assignment operator.

Reimplemented from OsiClpSolverInterface.

Reimplemented in OsiSolverLink.

void CbcOsiSolver::setCbcModel | ( | CbcModel * | model | ) | `[inline]`

Set Cbc Model.

Definition at line 117 of file CbcFathom.hpp.

CbcModel* CbcOsiSolver::cbcModel | ( |  | ) | const`[inline]`

Return Cbc Model.

Definition at line 121 of file CbcFathom.hpp.

## Member Data Documentation

CbcModel* CbcOsiSolver::cbcModel_`[protected]`

Pointer back to CbcModel.

Definition at line 134 of file CbcFathom.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcFathom.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines